package cn.estsh.i3plus.pojo.screen.bean.rel;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Wynne.Lu
 * @date 2021/3/25 上午9:56
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT_EVENT_ACTION_REL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("组件事件动作")
public class ScrComponentEventActionRel extends BaseBean {
    private static final long serialVersionUID = 7600064730551351570L;

    @Column(name = "COMPONENT_CODE")
    @ApiParam("组件代码")
    private String componentCode;

    @Column(name = "EVENT_ACTION_CODE")
    @ApiParam("事件动作代码")
    private String eventActionCode;
}
