package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrComponent;
import cn.estsh.i3plus.pojo.screen.bean.ScrModel;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelField;
import cn.estsh.i3plus.pojo.screen.bean.rel.ScrComponentEventActionRel;
import cn.estsh.i3plus.pojo.screen.bean.rel.ScrComponentModelFieldRel;
import cn.estsh.i3plus.pojo.screen.bean.rel.ScrPanelComponentRel;
import cn.estsh.i3plus.pojo.screen.component.base.BaseComponent;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
public class ScrPanelComponentModel implements Serializable {
    private static final long serialVersionUID = -5832175256726333348L;

    private String panelCode;

    private String layoutCode;

    private String rowCode;

    private String columnCode;

    private BaseComponent component;

    private List<String> eventActions;

    private List<ScrModelField> modelFields;

}
