package cn.estsh.i3plus.pojo.screen.bean.rel;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.screen.component.base.BaseComponent;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @author Wynne.Lu
 * @date 2021/3/25 下午4:33
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_COMPONENT_REL")
@Data
@EqualsAndHashCode(callSuper = true)
@Api("Panel与组件的关系")
public class ScrPanelComponentRel extends BaseBean {
    private static final long serialVersionUID = 3459027655126916483L;

    @Column(name = "PANEL_CODE")
    @ApiParam("panel代码")
    private String panelCode;

    @Column(name = "LAYOUT_CODE")
    @ApiParam("布局代码")
    private String layoutCode;

    @Column(name = "ROW_CODE")
    @ApiParam("行代码")
    private String rowCode;

    @Column(name = "COLUMN_CODE")
    @ApiParam("列代码")
    private String columnCode;

    @Column(name = "COMPONENT_CODE")
    @ApiParam(value = "组件代码")
    private String componentCode;
}
